summaryrefslogtreecommitdiffstats
path: root/security/nss/tests/common
diff options
context:
space:
mode:
authorwolfbeast <mcwerewolf@wolfbeast.com>2020-01-02 21:06:40 +0100
committerwolfbeast <mcwerewolf@wolfbeast.com>2020-01-02 21:06:40 +0100
commitf4a12fc67689a830e9da1c87fd11afe5bc09deb3 (patch)
tree211ae0cd022a6c11b0026ecc7761a550c584583c /security/nss/tests/common
parentf7d30133221896638f7bf4f66c504255c4b14f48 (diff)
downloadUXP-f4a12fc67689a830e9da1c87fd11afe5bc09deb3.tar
UXP-f4a12fc67689a830e9da1c87fd11afe5bc09deb3.tar.gz
UXP-f4a12fc67689a830e9da1c87fd11afe5bc09deb3.tar.lz
UXP-f4a12fc67689a830e9da1c87fd11afe5bc09deb3.tar.xz
UXP-f4a12fc67689a830e9da1c87fd11afe5bc09deb3.zip
Issue #1338 - Part 2: Update NSS to 3.48-RTM
Diffstat (limited to 'security/nss/tests/common')
-rw-r--r--security/nss/tests/common/certsetup.sh21
-rwxr-xr-xsecurity/nss/tests/common/cleanup.sh11
-rw-r--r--security/nss/tests/common/init.sh7
3 files changed, 31 insertions, 8 deletions
diff --git a/security/nss/tests/common/certsetup.sh b/security/nss/tests/common/certsetup.sh
index 2b5cef840..ed026c40e 100644
--- a/security/nss/tests/common/certsetup.sh
+++ b/security/nss/tests/common/certsetup.sh
@@ -46,12 +46,25 @@ make_cert() {
rsapss_chain) type_args=(-g 1024);sign=(-c rsa_pss_ca);type=rsa;;
rsa_ca_rsapss_chain) type_args=(-g 1024 --pss-sign);sign=(-c rsa_ca);type=rsa;;
ecdh_rsa) type_args=(-q nistp256);sign=(-c rsa_ca);type=ec ;;
+ delegator_p256)
+ touch empty.txt
+ type_args=(-q nistp256 --extGeneric 1.3.6.1.4.1.44363.44:not-critical:empty.txt)
+ type=ec
+ ;;
+ delegator_rsae2048)
+ touch empty.txt
+ type_args=(-g 2048 --extGeneric 1.3.6.1.4.1.44363.44:not-critical:empty.txt)
+ type=rsa
+ ;;
esac
+ msg="create certificate: $@"
shift 2
counter=$(($counter + 1))
- certscript $@ | ${BINDIR}/certutil -S \
- -z ${R_NOISE_FILE} -d "${PROFILEDIR}" \
+ cmd=(${BINDIR}/certutil -S \
+ -z "$R_NOISE_FILE" -d "$PROFILEDIR" \
-n $name -s "CN=$name" -t "$trust" "${sign[@]}" -m "$counter" \
- -w -2 -v 120 -k "$type" "${type_args[@]}" "${sighash[@]}" -1 -2
- html_msg $? 0 "create certificate: $@"
+ -w -2 -v 120 -k "$type" "${type_args[@]}" "${sighash[@]}" -1 -2)
+ echo "${cmd[@]}"
+ certscript $@ | "${cmd[@]}"
+ html_msg $? 0 "$msg"
}
diff --git a/security/nss/tests/common/cleanup.sh b/security/nss/tests/common/cleanup.sh
index 97c139321..6316eecf8 100755
--- a/security/nss/tests/common/cleanup.sh
+++ b/security/nss/tests/common/cleanup.sh
@@ -6,6 +6,12 @@
if [ -z "${CLEANUP}" -o "${CLEANUP}" = "${SCRIPTNAME}" ]; then
+ if [ -z "${BUILD_OPT}" ] && [ "${OBJDIR}" == "Debug" ]; then
+ BUILD_OPT=0;
+ elif [ -z "${BUILD_OPT}" ] && [ "${OBJDIR}" == "Release" ]; then
+ BUILD_OPT=1;
+ fi
+
echo
echo "SUMMARY:"
echo "========"
@@ -51,9 +57,10 @@ if [ -z "${CLEANUP}" -o "${CLEANUP}" = "${SCRIPTNAME}" ]; then
echo
html "END_OF_TEST<BR>"
- html "</BODY></HTML>"
+ html "</BODY></HTML>"
rm -f ${TEMPFILES} 2>/dev/null
- if [ ${FAILED_CNT} -gt 0 ] || [ ${ASAN_CNT} -gt 0 ]; then
+ if [ ${FAILED_CNT} -gt 0 ] || [ ${ASAN_CNT} -gt 0 ] ||
+ ([ ${CORE_CNT} -gt 0 ] && [ -n "${BUILD_OPT}" ] && [ ${BUILD_OPT} -eq 1 ]); then
exit 1
fi
diff --git a/security/nss/tests/common/init.sh b/security/nss/tests/common/init.sh
index 2896f1321..51c257773 100644
--- a/security/nss/tests/common/init.sh
+++ b/security/nss/tests/common/init.sh
@@ -651,8 +651,11 @@ if [ -z "${INIT_SOURCED}" -o "${INIT_SOURCED}" != "TRUE" ]; then
RELOAD_CRL=1
- NSS_DEFAULT_DB_TYPE="dbm"
- export NSS_DEFAULT_DB_TYPE
+ # if test mode isn't set, test scripts default to expecting dbm
+ if [ "${TEST_MODE}" = "" ]; then
+ NSS_DEFAULT_DB_TYPE="dbm"
+ export NSS_DEFAULT_DB_TYPE
+ fi
MSG_ID=0